> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Bank Verification

> Use this API to request bank validations in bulk. It is an asynchronous process.

<Warning> This API will be retired soon. Please plan to migrate to the latest version, [Bulk Bank Account Verification V2](/api-reference/vrs/v2/bav-v2/bulk-bank-account-verification-v2). </Warning>


## OpenAPI

````yaml post /payout/v1/bulkValidation/bankDetails
openapi: 3.0.3
info:
  title: Bank Account Verification
  version: 1.0.0
  contact: {}
servers:
  - url: https://payout-api.cashfree.com
security: []
paths:
  /payout/v1/bulkValidation/bankDetails:
    post:
      tags:
        - Bank Account Verification
      summary: Bulk Bank Verification
      description: >-
        Use this API to request bank validations in bulk. It is an asynchronous
        process.
      operationId: bulkBankVerification
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer Auth Token
          schema:
            type: string
        - name: Content-Type
          in: header
          required: true
          description: application/json
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                bulkValidationId:
                  type: string
                  description: >-
                    It is the unique ID to identify the the corresponding
                    request. Only alphanumeric characters and underscore (_) are
                    allowed.
                  example: A45
                entries:
                  type: array
                  items:
                    properties:
                      name:
                        type: string
                        description: >-
                          It is the name of the account holder. Only
                          alphanumeric and whitespaces are allowed.
                        example: John Doe
                      bankAccount:
                        type: string
                        description: >-
                          It is the bank account number to be validated (6 to 40
                          character limit).
                        example: 11020001770
                      ifsc:
                        type: string
                        description: >-
                          The IFSC information of the bank account to be
                          validated. It should be an alphanumeric value of 11
                          characters. The first 4 characters should be
                          alphabets, the 5th character should be a 0, and the
                          remaining 6 characters should be numerals.
                        example: HDFC0000001
                      phone:
                        type: number
                        description: It is the phone number of the account holder.
                        example: 9999912345
      responses:
        '200':
          description: Accepted
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: It represents the status of the API request.
                    example: SUCCESSS
                  subCode:
                    type: string
                    description: It represents the sub code of the API request.
                    example: 200
                  message:
                    type: string
                    description: It represents the message of the API request.
                    example: Bulk Validation requested successfully.
                  data:
                    type: object
                    description: It contains the bulk request information.
                    properties:
                      bulkValidationId:
                        type: string
                        description: >-
                          It represents the unique ID created to identify the
                          corresponding request.
                        example: testid1
        '409':
          description: error
          headers:
            Content-Length:
              schema:
                type: string
                example: '114'
            Date:
              schema:
                type: string
                example: Fri, 25 Nov 2022 08:09:40 GMT
            X-Request-Id:
              schema:
                type: string
                example: 2I1zGNV5SNkaZZV5juPVaeNh1hv
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ERROR
                  subCode:
                    type: string
                    example: 409
                  message:
                    type: string
                    example: Bulk Validation Id already exists
              examples:
                error:
                  value:
                    status: ERROR
                    subCode: 409
                    message: Bulk Validation Id already exists

````